package com.master.playit.helper;

public class General {
    public static final String DEBUG_TAG = "DebugLog";

    public static final String GAME_PREFERENCES = "GamePrefs";
    public static final String GAME_PREFERENCES_NICKNAME = "nickname";
    public static final String GAME_PREFERENCES_EMAIL = "email";
    public static final String GAME_PREFERENCES_PLAYER_ID = "userId";
    public static final String GAME_PREFERENCES_CURRENT_PUZZLE = "currentPuzzle";
    public static final String GAME_PREFERENCES_CURRENT_QUESTION = "currentQuestion";

    // XML TAGS
    public static final String XML_TAG_PUZZLE_ID = "puzzleId";
    public static final String XML_TAG_ID = "id";
    public static final String XML_TAG_PUZZLE = "puzzle";
    public static final String XML_TAG_PUBLISHDATE = "publishdate";
    public static final String XML_TAG_RATING = "rating";
    public static final String XML_TAG_TIMESPLAYED = "timesplayed";
    public static final String XML_TAG_AUTHOR = "author";
    public static final String XML_TAG_COAUTHOR = "coauthor";
    public static final String XML_TAG_COAUTHORS = "coauthors";
    public static final String XML_TAG_QUESTION = "question";
    public static final String XML_TAG_ANSWER = "answer";
    public static final String XML_TAG_INPUTMETHOD = "inputmethod";
    public static final String XML_TAG_REQUEST_ID = "requestId";
    public static final String XML_TAG_SET_ID = "setId";
    public static final String XML_TAG_NUMBER_OF_QUESTIONS = "numberOfQuestions";
    public static final String XML_TAG_SCORE = "score";
    public static final String XML_TAG_VALUE = "value";
    public static final String XML_TAG_TIME = "totalTime";
    public static final String XML_TAG_EMAIL = "email";
    public static final String XML_TAG_NICKNAME = "nickname";

    // THIS IS WHERE THE SERVER ADDRESS IS STORED
    // Must be changed when the server address changes to make the clients communicate with the right server
    public static final String SERVER_BASE = "http://129.241.106.204:8080/Restlet/";

    public static final String SERVER_USER = SERVER_BASE + "user/";
    public static final String SERVER_PUZZLES = SERVER_BASE + "puzzles/";
    public static final String SERVER_PUZZLE = SERVER_BASE + "puzzle/";
    public static final String SERVER_GAME = SERVER_BASE + "game/";
    public static final String SERVER_FRIENDS = SERVER_BASE + "friend/";
    public static final String SERVER_SCORES = SERVER_BASE + "highscore/";
    public static final String SERVER_PUBLISH = SERVER_BASE + "publish/";

    public static final String SERVER_EDITABLE = "?editable";
    public static final String SERVER_RATING = "?rating";
    public static final String SERVER_TIMES_PLAYED = "?timesplayed";
    public static final String SERVER_QUESTIONSET = "?questionset";
    public static final String SERVER_CHALLENGER = "?challenger";
    public static final String SERVER_COLLABORATE = "?collaborate";

    // Puzzle attributes
    public static final String PUZZLE_NAME = "name";
    public static final String PUZZLE_CATEGORY = "category";
    public static final String PUZZLE_RATINGGIVEN = "ratingGiven";
    public static final String PUZZLE_PLAYEDDATE = "playedDate";
    public static final String GAME_REQUESTDATE = "requestDate";
    public static final String GAME_TYPE = "type";
    public static final String GAME_CHALLENGESCORE = "challengeScore";

    public static final String ID = "_id";

    // Tag numbers
    public static final String CREATED_PUZZLES = "createdPuzzles";
    public static final String PLAY_PUZZLE = "playPuzzle";
    public static final String GAMEREQUEST_PUZZLE = "gameRequestPuzzle";
    public static final String QUESTIONSET = "questionset";
    public static final String NEW_QUESTIONSET = "newQuestionSet";
    public static final String UPDATER_ACTION = "action";
    public static final String COLLABORATE = "collaborate";
    public static final String GAME_REQUESTS = "gameRequests";
    public static final String THREEG = "threeG";
    public static final String WIFI = "wifi";
    public static final String START_UP = "startUp";
    public static final String MAIN_AUTHOR = "mainAuthor";
    public static final String NEWLY_CREATED = "newlyCreated";
    public static final String LOCAL_PUZZLE = "localPuzzle";
    public static final String CHALLENGER_ID = "challengerId";
    public static final String SCORES = "scores";
    public static final String RECEIVER_ID = "receiverID";
    public static final String WINNER = "winner";
    public static final String RECEIVER_SCORE = "receiverScore";
    public static final String CHALLENGER_SCORE = "challengerScore";
    public static final String SEARCH_RESULTS = "searchResults";
    public static final String ANSWERED = "answered";
    public static final String SCORE = "score";
    public static final String TIME = "time";
    public static final String MAIN_TAB = "mainTab";
    public static final String RESPONSE = "response";
    public static final String HINT = "hint";


    /**
     router.attach("/puzzles/{query}", PuzzlesServerResource.class);    {category} / {userid}?editable
     router.attach("/puzzles/", PuzzlesServerResource.class);

     router.attach("/puzzle/{puzzleId}{rating}", PuzzleServerResource.class);
     router.attach("/puzzle/{puzzleId}", PuzzleServerResource.class);
     router.attach("/puzzle/", PuzzleServerResource.class);

     router.attach("/publish/{puzzleId}", PublishServerResource.class);

     router.attach("/user/{userId}", UserServerResource.class);
     router.attach("/user/", UserServerResource.class);

     router.attach("/highscore/{puzzleId},{userId}", HighscoreServerResource.class);
     router.attach("/highscore/{puzzleId}", HighscoreServerResource.class);
     router.attach("/highscore/", HighscoreServerResource.class);

     router.attach("/friend/{userId}", FriendsServerResource.class);

     router.attach("/game/{requestId},{winnerId},{winnerScore}", GameServerResource.class);  // updateRequest
     router.attach("/game/{id}", GameServerResource.class);  // getRequests        ?challenger
     router.attach("/game/", GameServerResource.class);     // addRequest
     */
}
