package com.application;

import org.restlet.ext.xml.DomRepresentation;

public interface Jdbc {

    public String savePuzzle(DomRepresentation rep, int puzzleId);
    public DomRepresentation getPuzzle(int id, boolean editable);
    public String deletePuzzle(int puzzleId);
    public String publishPuzzle(DomRepresentation puzzle, int puzzleId);
    public String ratePuzzle(int puzzleId, int rating);

    public DomRepresentation getPuzzles(String category, boolean editable);

    public String deleteUser(int userid);
    public DomRepresentation getUser(int id);
    public String saveUser(DomRepresentation user);

    public DomRepresentation getFriends(int userId);
    public DomRepresentation addFriend(int userId, DomRepresentation friend);
    public String deleteFriend(int userId, DomRepresentation friends);

    public String updateHighscore(int puzzleId, int userId, DomRepresentation highscore);
    public DomRepresentation getHighscore(int puzzleId);

    public String deleteAllPuzzles();
    public String deleteUsers();

    public DomRepresentation getGameRequests(int userId, boolean b);
    public String addGameRequest(DomRepresentation request, boolean random);
    public String deleteGameRequest(int requestId);
    public String updateGameRequest(int userId, int winner, int winnerScore);

    public DomRepresentation getQuestionSet(int puzzleId);

    public String saveQuestionSet(DomRepresentation questionSets, int puzzleId);

    public String addTimesPlayed(int puzzleId);
}
