package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.ServerResource;

public class PublishServerResource extends ServerResource implements PublishResource {
    private JdbcService service;

    @Override
    protected void doInit()throws ResourceException {
        service = JdbcService.getInstance();
    }
    @Override
    public String update(DomRepresentation puzzle) {
        return service.publishPuzzle(puzzle, Integer.parseInt(getAttribute("puzzleId")));
    }
}
