package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.ServerResource;

/**
 * User: malinbe
 * Date: 06.02.13
 */
public class PuzzlesServerResource extends ServerResource implements PuzzlesResource {
    private JdbcService service;

    @Override
    protected void doInit()throws ResourceException {
        service = JdbcService.getInstance();
    }
    @Override
    public DomRepresentation getAll(){
        return service.getPuzzles(getAttribute("query"), false);
    }

    @Override
    public DomRepresentation getEditable() {
        return service.getPuzzles(getAttribute("query"), true);
    }

    @Override
    public String deleteAll() {
        return service.deleteAllPuzzles();
    }
}
