package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.representation.Representation;
import org.restlet.resource.Delete;
import org.restlet.resource.Get;
import org.restlet.resource.Put;

public interface UserResource {
    @Get("*:xml")
    public DomRepresentation getUser();
    @Get("?email")
    public Representation getUserId();
    @Put("*:xml")
    public String saveUser(DomRepresentation user);
    @Delete
    public String deleteUser();
}
